openshot::DecklinkError Class Reference

Exception when accessing a blackmagic decklink card. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::DecklinkError:

## Public Member Functions

| DecklinkError (string message)
virtual | ~DecklinkError () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception when accessing a blackmagic decklink card.

Definition at line 70 of file Exceptions.h.

## Constructor & Destructor Documentation

## DecklinkError()

openshot::DecklinkError::DecklinkError | ( | string | message | ) |

inline

Definition at line 73 of file Exceptions.h.

## ~DecklinkError()

virtual openshot::DecklinkError::~DecklinkError | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 75 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h